﻿#!/usr/bin/python
#
# RouterData Copyright 2016 mizio66
#
# Speedtestcli Copyright 2012-2015 Matt Martz
#
# All Rights Reserved.
#

import json, urllib2, ssl, sys, time,os
from datetime import datetime

MYVERSION ="3"

global DL, UL

from speedtestcli import speedtest

DL,UL, name, latency = speedtest()

if DL == 0 or UL == 0:

	SEicon = "a1693"
	SEstatname = "ERROR!"
	DLstatname =" "
	DLstatvalue=0
	DLicon = "i270"
	ULstatname =" "
	ULstatvalue=0
	ULicon = "i270"

else:
	
	SEicon = "a1693"
	SEstatname = name
	DLstatname = "DL "
	DLstatvalue=DL
	DLicon = "i124"
	ULstatname = "UL "
	ULstatvalue=UL
	ULicon = "i120"	


token = "YOURTOKEN"
mypath = "YOURPATH" + MYVERSION
	      
headers = { 'Accept': 'application/json', 'Cache-Control': 'no-cache', 'X-Access-Token': token  };

posttext={"frames": [{"index": 0, "text": SEstatname + "@" + str(datetime.now().strftime("%d%b-%H:%M")) + " / " + str(latency) + " ms", "icon": SEicon },{"index": 1, "text": DLstatname + " " + str(DLstatvalue), "icon": DLicon }, {"index": 2, "text": ULstatname + " " + str(ULstatvalue), "icon": ULicon}]}

req = urllib2.Request(mypath, data=json.dumps(posttext), headers=headers)
gcontext = ssl.SSLContext(ssl.PROTOCOL_TLSv1)
info = urllib2.urlopen(req, context=gcontext).read()

Status = 0
